#pragma once
#include "main.h"
enum class encoder_direction_t : int8_t
{
    CW = 1,
    CCW = -1
};
class encoder_reader_t
{
    GPIO_TypeDef *pin_a_port;
    uint16_t pin_a;
    GPIO_TypeDef *pin_b_port;
    uint16_t pin_b;
    uint16_t state = 0;
    encoder_direction_t direction = encoder_direction_t::CW;

  public:
    int16_t count = 0;
    encoder_reader_t(GPIO_TypeDef *pinAPort, uint16_t pinA, GPIO_TypeDef *pinBPort, uint16_t pinB);
    void handle_a();
    void handle_b();
};