#pragma once
#ifdef __cplusplus
// C++-only 部分
#include "jy61_device.h"
#include "pid_controller.h"
#include <sine_curve.h>

extern volatile sine_curve_t curve_pitch;
extern volatile sine_curve_t curve_roll;
extern volatile bool fan_output;
extern float time_elapsed;
extern jy61_device_t jy61_device;
extern pid_controller_t pid_pitch;
extern pid_controller_t pid_roll;
extern int16_t pitch_bias_raw;
extern int16_t roll_bias_raw;
extern "C"
{
#endif
    void debug_log(const char *format, ...) __attribute__((__format__(__printf__, 1, 2)));
#ifdef __cplusplus
}
#endif