#pragma once
#include <cmath>
struct sine_curve_t
{
    float amplitude = 0;
    float angular_frequency = 0;
    float phase = 0;
    float operator()(double t) const volatile
    {
        return amplitude * sinf(angular_frequency * t + phase);
    }
};