#pragma clang diagnostic push
#pragma ide diagnostic ignored "OCUnusedMacroInspection"
#define _GNU_SOURCE // NOLINT(bugprone-reserved-identifier)
#pragma clang diagnostic pop

#include "global.h"
#include "usart.h"
#include <cstdarg>
#include <cstdio>
volatile sine_curve_t curve_pitch;
volatile sine_curve_t curve_roll;
volatile bool fan_output = false;
float time_elapsed = 0;
pid_controller_t pid_pitch;
pid_controller_t pid_roll;
int16_t pitch_bias_raw = 0;
int16_t roll_bias_raw = 0;
jy61_device_t jy61_device = jy61_device_t(USART2);
extern "C" void debug_log(const char *format, ...)
{
    char *buf;
    va_list ap;
    va_start(ap, format);
    int ret_val = vasprintf(&buf, format, ap);
    va_end(ap);
    if (ret_val != -1)
    {
        HAL_UART_Transmit(&huart1, (uint8_t *)buf, ret_val, HAL_MAX_DELAY);
    }
    free(buf);
}