/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define Buzzer_Pin GPIO_PIN_0
#define Buzzer_GPIO_Port GPIOA
#define TouchIrq_Pin GPIO_PIN_2
#define TouchIrq_GPIO_Port GPIOB
#define TouchCS_Pin GPIO_PIN_12
#define TouchCS_GPIO_Port GPIOA
#define DispDC_Pin GPIO_PIN_15
#define DispDC_GPIO_Port GPIOA
#define DispRst_Pin GPIO_PIN_3
#define DispRst_GPIO_Port GPIOB
#define DispCS_Pin GPIO_PIN_4
#define DispCS_GPIO_Port GPIOB
#define EncoderKey_Pin GPIO_PIN_7
#define EncoderKey_GPIO_Port GPIOB
#define EncoderA_Pin GPIO_PIN_8
#define EncoderA_GPIO_Port GPIOB
#define EncoderA_EXTI_IRQn EXTI9_5_IRQn
#define EncoderB_Pin GPIO_PIN_9
#define EncoderB_GPIO_Port GPIOB
#define EncoderB_EXTI_IRQn EXTI9_5_IRQn

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
