#pragma once
#include "stdint.h"
#ifdef __cplusplus
extern "C"
{
#endif
    void lvda_delay_us(unsigned long us);
    void lvda_delay_ms(unsigned long ms);

    /*
     * @param mode: cmd = 0, data = 1
     */
    void lvda_disp_cmd_data_write(int mode);
    void lvda_disp_rst_write(int mode);
    void lvda_disp_spi_cs(int mode);
    void lvda_disp_spi_write_byte(uint8_t data);
    void lvda_disp_spi_write_bytes(uint8_t* data, uint16_t length);
#ifdef __cplusplus
}
#endif